import React, { Component } from 'react'
import {
  Route,
  Redirect
} from 'react-router-dom'

const PrivateRoute = ({ component: Component, isAuthenticated, ...rest }) => (
    <Route {...rest} render={props => (
        isAuthenticated === true ? (
            <Component {...rest}/>
        ) : (
            <Redirect to={{
              pathname: '/login',
              state: {from: props.location}
            }}/>
        )
    )}/>
)

export default PrivateRoute
